# Tests fail on last release
%global commit       5941ab2798cb91455b6424a9564c9cd680475fbe
%global shortcommit  5941ab2
%global commitdate   20240709

Name:           python-records
Version:        0.6.0^%{commitdate}git%{shortcommit}
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        SQL for Humans

License:        ISC
URL:            https://github.com/kennethreitz/records
Source:         %{url}/archive/%{commit}/records-%{shortcommit}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Just write SQL. No bells, no whistles. This common task can be surprisingly
difficult with the standard tools available. This library strives to make this
workflow as simple as possible, while providing an elegant interface to work
with your query results.}

%description %_description

%package -n     python3-records
Summary:        %{summary}

%description -n python3-records %_description

# tablib[pandas] and redshift dependencies are not available
%pyproject_extras_subpkg -n python3-records pg


%prep
%autosetup -n records-%{commit}
# Do not use pre-compiled version
sed -i "s/psycopg2-binary/psycopg2/g" setup.py

%generate_buildrequires
%pyproject_buildrequires -x pg


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l records

%check
%pyproject_check_import
%pytest

%files -n python3-records -f %{pyproject_files}
%doc examples/
%{_bindir}/records

%changelog
%autochangelog
